Skip to main content
GET
/
api
/
v1
/
organizations
/
{organizationID}
/
projects
List projects
curl --request GET \
  --url https://identity.nks.europe-west4.nscale.com/api/v1/organizations/{organizationID}/projects \
  --header 'Authorization: Bearer <token>'
[
  {
    "metadata": {
      "id": "a142f641-7fd6-4ab9-a875-344c7ebadc53",
      "name": "my-project",
      "organizationId": "d4600d6e-e965-4b44-a808-84fb2fa36702",
      "creationTime": "2024-05-31T14:11:00Z",
      "provisioningStatus": "provisioned",
      "healthStatus": "healthy"
    },
    "spec": {
      "groupIDs": [
        "ef509cd1-c7e6-42f8-aae7-a01164dc60dc"
      ]
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.nscale.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Operation requires OAuth 2.0 bearer token authentication.

Path Parameters

organizationID
string
required

An organization ID.

Response

A list of projects.

metadata
object
required

Metadata required by organization scoped resource reads.

spec
object
required

A project.